<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>LinkedDataRecord (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="LinkedDataRecord (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/LinkedDataRecord.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hssf/record/chart/LineFormatRecord.html"
               title="class in org.apache.poi.hssf.record.chart"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/hssf/record/chart/NumberFormatIndexRecord.html"
               title="class in org.apache.poi.hssf.record.chart"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/record/chart/LinkedDataRecord.html" target="_top">Frames</a>
        </li>
        <li><a href="LinkedDataRecord.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.record.chart</div>
    <h2 title="Class LinkedDataRecord" class="title">Class LinkedDataRecord</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../../org/apache/poi/hssf/record/RecordBase.html"
                       title="class in org.apache.poi.hssf.record">org.apache.poi.hssf.record.RecordBase</a></li>
                <li>
                    <ul class="inheritance">
                        <li><a href="../../../../../../org/apache/poi/hssf/record/Record.html"
                               title="class in org.apache.poi.hssf.record">org.apache.poi.hssf.record.Record</a></li>
                        <li>
                            <ul class="inheritance">
                                <li><a href="../../../../../../org/apache/poi/hssf/record/StandardRecord.html"
                                       title="class in org.apache.poi.hssf.record">org.apache.poi.hssf.record.StandardRecord</a>
                                </li>
                                <li>
                                    <ul class="inheritance">
                                        <li>org.apache.poi.hssf.record.chart.LinkedDataRecord</li>
                                    </ul>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.lang.Cloneable</dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">LinkedDataRecord</span>
extends <a href="../../../../../../org/apache/poi/hssf/record/StandardRecord.html"
           title="class in org.apache.poi.hssf.record">StandardRecord</a>
implements java.lang.Cloneable</pre>
                <div class="block">Describes a linked data record. This record refers to the series data or text.</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html#LINK_TYPE_CATEGORIES">LINK_TYPE_CATEGORIES</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html#LINK_TYPE_SECONDARY_CATEGORIES">LINK_TYPE_SECONDARY_CATEGORIES</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html#LINK_TYPE_TITLE_OR_TEXT">LINK_TYPE_TITLE_OR_TEXT</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html#LINK_TYPE_VALUES">LINK_TYPE_VALUES</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html#REFERENCE_TYPE_DEFAULT_CATEGORIES">REFERENCE_TYPE_DEFAULT_CATEGORIES</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html#REFERENCE_TYPE_DIRECT">REFERENCE_TYPE_DIRECT</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html#REFERENCE_TYPE_ERROR_REPORTED">REFERENCE_TYPE_ERROR_REPORTED</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html#REFERENCE_TYPE_NOT_USED">REFERENCE_TYPE_NOT_USED</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html#REFERENCE_TYPE_WORKSHEET">REFERENCE_TYPE_WORKSHEET</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html#sid">sid</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html#LinkedDataRecord--">LinkedDataRecord</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html#LinkedDataRecord-org.apache.poi.hssf.record.RecordInputStream-">LinkedDataRecord</a></span>(<a
                                        href="../../../../../../org/apache/poi/hssf/record/RecordInputStream.html"
                                        title="class in org.apache.poi.hssf.record">RecordInputStream</a>&nbsp;in)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html"
                                        title="class in org.apache.poi.hssf.record.chart">LinkedDataRecord</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html#clone--">clone</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>protected int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html#getDataSize--">getDataSize</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">Ptg</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html#getFormulaOfLink--">getFormulaOfLink</a></span>()</code>
                                    <div class="block">Get the formula of link field for the LinkedData record.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html#getIndexNumberFmtRecord--">getIndexNumberFmtRecord</a></span>()</code>
                                    <div class="block">Get the index number fmt record field for the LinkedData
                                        record.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html#getLinkType--">getLinkType</a></span>()</code>
                                    <div class="block">Get the link type field for the LinkedData record.</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html#getOptions--">getOptions</a></span>()</code>
                                    <div class="block">Get the options field for the LinkedData record.</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html#getReferenceType--">getReferenceType</a></span>()</code>
                                    <div class="block">Get the reference type field for the LinkedData record.</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html#getSid--">getSid</a></span>()</code>
                                    <div class="block">return the non static version of the id for this record.</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html#isCustomNumberFormat--">isCustomNumberFormat</a></span>()</code>
                                    <div class="block">true if this object has a custom number format</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html#serialize-org.apache.poi.util.LittleEndianOutput-">serialize</a></span>(<a
                                        href="../../../../../../org/apache/poi/util/LittleEndianOutput.html"
                                        title="interface in org.apache.poi.util">LittleEndianOutput</a>&nbsp;out)</code>
                                    <div class="block">Write the data content of this BIFF record.</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html#setCustomNumberFormat-boolean-">setCustomNumberFormat</a></span>(boolean&nbsp;value)</code>
                                    <div class="block">Sets the custom number format field value.</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html#setFormulaOfLink-org.apache.poi.ss.formula.ptg.Ptg:A-">setFormulaOfLink</a></span>(<a
                                        href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">Ptg</a>[]&nbsp;ptgs)</code>
                                    <div class="block">Set the formula of link field for the LinkedData record.</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html#setIndexNumberFmtRecord-short-">setIndexNumberFmtRecord</a></span>(short&nbsp;field_4_indexNumberFmtRecord)</code>
                                    <div class="block">Set the index number fmt record field for the LinkedData
                                        record.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html#setLinkType-byte-">setLinkType</a></span>(byte&nbsp;field_1_linkType)</code>
                                    <div class="block">Set the link type field for the LinkedData record.</div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html#setOptions-short-">setOptions</a></span>(short&nbsp;field_3_options)</code>
                                    <div class="block">Set the options field for the LinkedData record.</div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html#setReferenceType-byte-">setReferenceType</a></span>(byte&nbsp;field_2_referenceType)</code>
                                    <div class="block">Set the reference type field for the LinkedData record.</div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html#toString--">toString</a></span>()</code>
                                    <div class="block">get a string representation of the record (for
                                        biffview/debugging)
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hssf.record.StandardRecord">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hssf.record.<a
                                        href="../../../../../../org/apache/poi/hssf/record/StandardRecord.html"
                                        title="class in org.apache.poi.hssf.record">StandardRecord</a></h3>
                                <code><a
                                        href="../../../../../../org/apache/poi/hssf/record/StandardRecord.html#getRecordSize--">getRecordSize</a>,
                                    <a href="../../../../../../org/apache/poi/hssf/record/StandardRecord.html#serialize-int-byte:A-">serialize</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hssf.record.Record">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hssf.record.<a
                                        href="../../../../../../org/apache/poi/hssf/record/Record.html"
                                        title="class in org.apache.poi.hssf.record">Record</a></h3>
                                <code><a
                                        href="../../../../../../org/apache/poi/hssf/record/Record.html#cloneViaReserialise--">cloneViaReserialise</a>,
                                    <a href="../../../../../../org/apache/poi/hssf/record/Record.html#serialize--">serialize</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="sid">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>sid</h4>
                                <pre>public static final&nbsp;short sid</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../constant-values.html#org.apache.poi.hssf.record.chart.LinkedDataRecord.sid">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="LINK_TYPE_TITLE_OR_TEXT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>LINK_TYPE_TITLE_OR_TEXT</h4>
                                <pre>public static final&nbsp;byte LINK_TYPE_TITLE_OR_TEXT</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../constant-values.html#org.apache.poi.hssf.record.chart.LinkedDataRecord.LINK_TYPE_TITLE_OR_TEXT">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="LINK_TYPE_VALUES">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>LINK_TYPE_VALUES</h4>
                                <pre>public static final&nbsp;byte LINK_TYPE_VALUES</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../constant-values.html#org.apache.poi.hssf.record.chart.LinkedDataRecord.LINK_TYPE_VALUES">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="LINK_TYPE_CATEGORIES">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>LINK_TYPE_CATEGORIES</h4>
                                <pre>public static final&nbsp;byte LINK_TYPE_CATEGORIES</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../constant-values.html#org.apache.poi.hssf.record.chart.LinkedDataRecord.LINK_TYPE_CATEGORIES">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="LINK_TYPE_SECONDARY_CATEGORIES">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>LINK_TYPE_SECONDARY_CATEGORIES</h4>
                                <pre>public static final&nbsp;byte LINK_TYPE_SECONDARY_CATEGORIES</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../constant-values.html#org.apache.poi.hssf.record.chart.LinkedDataRecord.LINK_TYPE_SECONDARY_CATEGORIES">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="REFERENCE_TYPE_DEFAULT_CATEGORIES">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>REFERENCE_TYPE_DEFAULT_CATEGORIES</h4>
                                <pre>public static final&nbsp;byte REFERENCE_TYPE_DEFAULT_CATEGORIES</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../constant-values.html#org.apache.poi.hssf.record.chart.LinkedDataRecord.REFERENCE_TYPE_DEFAULT_CATEGORIES">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="REFERENCE_TYPE_DIRECT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>REFERENCE_TYPE_DIRECT</h4>
                                <pre>public static final&nbsp;byte REFERENCE_TYPE_DIRECT</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../constant-values.html#org.apache.poi.hssf.record.chart.LinkedDataRecord.REFERENCE_TYPE_DIRECT">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="REFERENCE_TYPE_WORKSHEET">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>REFERENCE_TYPE_WORKSHEET</h4>
                                <pre>public static final&nbsp;byte REFERENCE_TYPE_WORKSHEET</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../constant-values.html#org.apache.poi.hssf.record.chart.LinkedDataRecord.REFERENCE_TYPE_WORKSHEET">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="REFERENCE_TYPE_NOT_USED">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>REFERENCE_TYPE_NOT_USED</h4>
                                <pre>public static final&nbsp;byte REFERENCE_TYPE_NOT_USED</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../constant-values.html#org.apache.poi.hssf.record.chart.LinkedDataRecord.REFERENCE_TYPE_NOT_USED">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="REFERENCE_TYPE_ERROR_REPORTED">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>REFERENCE_TYPE_ERROR_REPORTED</h4>
                                <pre>public static final&nbsp;byte REFERENCE_TYPE_ERROR_REPORTED</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../constant-values.html#org.apache.poi.hssf.record.chart.LinkedDataRecord.REFERENCE_TYPE_ERROR_REPORTED">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="LinkedDataRecord--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>LinkedDataRecord</h4>
                                <pre>public&nbsp;LinkedDataRecord()</pre>
                            </li>
                        </ul>
                        <a name="LinkedDataRecord-org.apache.poi.hssf.record.RecordInputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>LinkedDataRecord</h4>
                                <pre>public&nbsp;LinkedDataRecord(<a
                                        href="../../../../../../org/apache/poi/hssf/record/RecordInputStream.html"
                                        title="class in org.apache.poi.hssf.record">RecordInputStream</a>&nbsp;in)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="toString--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>toString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../../org/apache/poi/hssf/record/Record.html#toString--">Record</a></code></span>
                                </div>
                                <div class="block">get a string representation of the record (for biffview/debugging)
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/hssf/record/Record.html#toString--">toString</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/hssf/record/Record.html"
                                                title="class in org.apache.poi.hssf.record">Record</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="serialize-org.apache.poi.util.LittleEndianOutput-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>serialize</h4>
                                <pre>public&nbsp;void&nbsp;serialize(<a
                                        href="../../../../../../org/apache/poi/util/LittleEndianOutput.html"
                                        title="interface in org.apache.poi.util">LittleEndianOutput</a>&nbsp;out)</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../../org/apache/poi/hssf/record/StandardRecord.html#serialize-org.apache.poi.util.LittleEndianOutput-">StandardRecord</a></code></span>
                                </div>
                                <div class="block">Write the data content of this BIFF record. The 'ushort sid' and
                                    'ushort size' header fields
                                    have already been written by the superclass.
                                    <p>
                                        The number of bytes written must equal the record size reported by
                                        <a href="../../../../../../org/apache/poi/hssf/record/RecordBase.html#getRecordSize--"><code>RecordBase.getRecordSize()</code></a>}
                                        minus four
                                        ( record header consisting of a 'ushort sid' and 'ushort reclength' has already
                                        been written
                                        by their superclass).</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/hssf/record/StandardRecord.html#serialize-org.apache.poi.util.LittleEndianOutput-">serialize</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/hssf/record/StandardRecord.html"
                                                title="class in org.apache.poi.hssf.record">StandardRecord</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>out</code> - the output object</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getDataSize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDataSize</h4>
                                <pre>protected&nbsp;int&nbsp;getDataSize()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/hssf/record/StandardRecord.html#getDataSize--">getDataSize</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/hssf/record/StandardRecord.html"
                                                title="class in org.apache.poi.hssf.record">StandardRecord</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSid--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSid</h4>
                                <pre>public&nbsp;short&nbsp;getSid()</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../../org/apache/poi/hssf/record/Record.html#getSid--">Record</a></code></span>
                                </div>
                                <div class="block">return the non static version of the id for this record.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/hssf/record/Record.html#getSid--">getSid</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/hssf/record/Record.html"
                                                title="class in org.apache.poi.hssf.record">Record</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>he id for this record</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="clone--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>clone</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html"
                                        title="class in org.apache.poi.hssf.record.chart">LinkedDataRecord</a>&nbsp;clone()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/hssf/record/Record.html#clone--">clone</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/hssf/record/Record.html"
                                                title="class in org.apache.poi.hssf.record">Record</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getLinkType--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLinkType</h4>
                                <pre>public&nbsp;byte&nbsp;getLinkType()</pre>
                                <div class="block">Get the link type field for the LinkedData record.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>One of
                                        <a href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html#LINK_TYPE_TITLE_OR_TEXT"><code>LINK_TYPE_TITLE_OR_TEXT</code></a>,
                                        <a href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html#LINK_TYPE_VALUES"><code>LINK_TYPE_VALUES</code></a>,
                                        <a href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html#LINK_TYPE_CATEGORIES"><code>LINK_TYPE_CATEGORIES</code></a>,
                                        or
                                        <a href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html#LINK_TYPE_SECONDARY_CATEGORIES"><code>LINK_TYPE_SECONDARY_CATEGORIES</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setLinkType-byte-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLinkType</h4>
                                <pre>public&nbsp;void&nbsp;setLinkType(byte&nbsp;field_1_linkType)</pre>
                                <div class="block">Set the link type field for the LinkedData record.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>field_1_linkType</code> - One of
                                        <a href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html#LINK_TYPE_TITLE_OR_TEXT"><code>LINK_TYPE_TITLE_OR_TEXT</code></a>,
                                        <a href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html#LINK_TYPE_VALUES"><code>LINK_TYPE_VALUES</code></a>,
                                        <a href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html#LINK_TYPE_CATEGORIES"><code>LINK_TYPE_CATEGORIES</code></a>,
                                        or
                                        <a href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html#LINK_TYPE_SECONDARY_CATEGORIES"><code>LINK_TYPE_SECONDARY_CATEGORIES</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getReferenceType--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getReferenceType</h4>
                                <pre>public&nbsp;byte&nbsp;getReferenceType()</pre>
                                <div class="block">Get the reference type field for the LinkedData record.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>One of
                                        <a href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html#REFERENCE_TYPE_DEFAULT_CATEGORIES"><code>REFERENCE_TYPE_DEFAULT_CATEGORIES</code></a>
                                        <a href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html#REFERENCE_TYPE_DIRECT"><code>REFERENCE_TYPE_DIRECT</code></a>
                                        <a href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html#REFERENCE_TYPE_WORKSHEET"><code>REFERENCE_TYPE_WORKSHEET</code></a>
                                        <a href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html#REFERENCE_TYPE_NOT_USED"><code>REFERENCE_TYPE_NOT_USED</code></a>
                                        <a href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html#REFERENCE_TYPE_ERROR_REPORTED"><code>REFERENCE_TYPE_ERROR_REPORTED</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setReferenceType-byte-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setReferenceType</h4>
                                <pre>public&nbsp;void&nbsp;setReferenceType(byte&nbsp;field_2_referenceType)</pre>
                                <div class="block">Set the reference type field for the LinkedData record.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>field_2_referenceType</code> - One of
                                        <a href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html#REFERENCE_TYPE_DEFAULT_CATEGORIES"><code>REFERENCE_TYPE_DEFAULT_CATEGORIES</code></a>
                                        <a href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html#REFERENCE_TYPE_DIRECT"><code>REFERENCE_TYPE_DIRECT</code></a>
                                        <a href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html#REFERENCE_TYPE_WORKSHEET"><code>REFERENCE_TYPE_WORKSHEET</code></a>
                                        <a href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html#REFERENCE_TYPE_NOT_USED"><code>REFERENCE_TYPE_NOT_USED</code></a>
                                        <a href="../../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html#REFERENCE_TYPE_ERROR_REPORTED"><code>REFERENCE_TYPE_ERROR_REPORTED</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getOptions--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getOptions</h4>
                                <pre>public&nbsp;short&nbsp;getOptions()</pre>
                                <div class="block">Get the options field for the LinkedData record.</div>
                            </li>
                        </ul>
                        <a name="setOptions-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setOptions</h4>
                                <pre>public&nbsp;void&nbsp;setOptions(short&nbsp;field_3_options)</pre>
                                <div class="block">Set the options field for the LinkedData record.</div>
                            </li>
                        </ul>
                        <a name="getIndexNumberFmtRecord--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getIndexNumberFmtRecord</h4>
                                <pre>public&nbsp;short&nbsp;getIndexNumberFmtRecord()</pre>
                                <div class="block">Get the index number fmt record field for the LinkedData record.
                                </div>
                            </li>
                        </ul>
                        <a name="setIndexNumberFmtRecord-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setIndexNumberFmtRecord</h4>
                                <pre>public&nbsp;void&nbsp;setIndexNumberFmtRecord(short&nbsp;field_4_indexNumberFmtRecord)</pre>
                                <div class="block">Set the index number fmt record field for the LinkedData record.
                                </div>
                            </li>
                        </ul>
                        <a name="getFormulaOfLink--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFormulaOfLink</h4>
                                <pre>public&nbsp;<a href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                                    title="class in org.apache.poi.ss.formula.ptg">Ptg</a>[]&nbsp;getFormulaOfLink()</pre>
                                <div class="block">Get the formula of link field for the LinkedData record.</div>
                            </li>
                        </ul>
                        <a name="setFormulaOfLink-org.apache.poi.ss.formula.ptg.Ptg:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFormulaOfLink</h4>
                                <pre>public&nbsp;void&nbsp;setFormulaOfLink(<a
                                        href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">Ptg</a>[]&nbsp;ptgs)</pre>
                                <div class="block">Set the formula of link field for the LinkedData record.</div>
                            </li>
                        </ul>
                        <a name="setCustomNumberFormat-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCustomNumberFormat</h4>
                                <pre>public&nbsp;void&nbsp;setCustomNumberFormat(boolean&nbsp;value)</pre>
                                <div class="block">Sets the custom number format field value.
                                    true if this object has a custom number format
                                </div>
                            </li>
                        </ul>
                        <a name="isCustomNumberFormat--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>isCustomNumberFormat</h4>
                                <pre>public&nbsp;boolean&nbsp;isCustomNumberFormat()</pre>
                                <div class="block">true if this object has a custom number format</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the custom number format field value.</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/LinkedDataRecord.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hssf/record/chart/LineFormatRecord.html"
               title="class in org.apache.poi.hssf.record.chart"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/hssf/record/chart/NumberFormatIndexRecord.html"
               title="class in org.apache.poi.hssf.record.chart"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/record/chart/LinkedDataRecord.html" target="_top">Frames</a>
        </li>
        <li><a href="LinkedDataRecord.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
